## net.i2p.router.web
Class ConfigUpdateHelper

    java.lang.Object
      net.i2p.router.web.ConfigUpdateHelper

    public class ConfigUpdateHelper

extends java.lang.Object

Constructor Summary
`ConfigUpdateHelper()`

Method Summary
`java.lang.String` `getNewsURL()`
`java.lang.String` `getProxyHost()`
`java.lang.String` `getProxyPort()`
`java.lang.String` `getRefreshFrequencySelectBox()`
`java.lang.String` `getTrustedKeys()`
`java.lang.String` `getUpdatePolicySelectBox()`
`java.lang.String` `getUpdateThroughProxy()`
`java.lang.String` `getUpdateURL()`
`void` `setContextId(java.lang.String contextId)` Configure this bean to query a particular router context
`boolean` `updateAvailable()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConfigUpdateHelper

    public ConfigUpdateHelper()

Method Detail

### setContextId

    public void setContextId(java.lang.String contextId)

  Configure this bean to query a particular router context

  Parameters:
    `contextId` - begging few characters of the routerHash, or null to pick the first one we come across.

### updateAvailable

    public boolean updateAvailable()

### getNewsURL

    public java.lang.String getNewsURL()

### getUpdateURL

    public java.lang.String getUpdateURL()

### getProxyHost

    public java.lang.String getProxyHost()

### getProxyPort

    public java.lang.String getProxyPort()

### getUpdateThroughProxy

    public java.lang.String getUpdateThroughProxy()

### getRefreshFrequencySelectBox

    public java.lang.String getRefreshFrequencySelectBox()

### getUpdatePolicySelectBox

    public java.lang.String getUpdatePolicySelectBox()

### getTrustedKeys

    public java.lang.String getTrustedKeys()